## TrackerConfigFile TrackerConfigFile — Abstract base class for configuration files |

## Synopsis

    #include <libtracker-common/tracker-common.h>

                        TrackerConfigFile;
                        TrackerConfigFileClass;
    gboolean            tracker_config_file_save            (TrackerConfigFile *config);

## Object Hierarchy

      GObject
       +----TrackerConfigFile

## Properties

      "domain"                   gchar*                : Read / Write / Construct

## Signals

      "changed"                                        : Run Last

## Description

TrackerConfigFile is an abstract base class to help creating objects that proxy a configuration file, mirroring settings to disk and notifying of changes.

## Details

### TrackerConfigFile

    typedef struct _TrackerConfigFile TrackerConfigFile;

### TrackerConfigFileClass

    typedef struct {
    	GObjectClass parent_class;

    	void (* changed) (TrackerConfigFile *file);
    } TrackerConfigFileClass;

### tracker_config_file_save ()

    gboolean            tracker_config_file_save            (TrackerConfigFile *config);

Writes the configuration stored in TrackerConfigFile to disk.

`config` : | a TrackerConfigFile
Returns : | `TRUE` on success, `FALSE` otherwise.

## Property Details

### The `"domain"` property

      "domain"                   gchar*                : Read / Write / Construct

The prefix before .cfg for the filename.

Default value: NULL

## Signal Details

### The `"changed"` signal

    void                user_function                      (TrackerConfigFile *config,
                                                            gpointer           user_data)      : Run Last

the ::changed signal is emitted whenever the configuration file has changed on disk.

`config` : | the TrackerConfigFile.
`user_data` : | user data set when the signal handler was connected.